このスレッドは未解決です(解決したらこちらで解決済にしてください)
<<戻る

firefox rpmインストール このメッセージに返信する
日時: 2010/01/17 22:45
名前: kotokichi
URL:
はじめまして。
firefoxをrpmにてインストールしようとしているのですが、なかなか上手くいきません。

何度か依存関係や不足パッケージを導入して、なんとか下の状態まで辿りつたのですが
ライブラリ不足?で先に進めません。

# rpm -ivh --test firefox-3.0.16-4.el4.i386.rpm
エラー: Failed dependencies:
nspr >= 4.7.6 is needed by firefox-3.0.16-4.el4.i386
nss >= 3.11.99.5 is needed by firefox-3.0.16-4.el4.i386
libnssutil3.so is needed by firefox-3.0.16-4.el4.i386

不足しているライブラリを無視して、とりあえずテストインストールしてみたら
下記のようになりました。
seamonkey-nspr と seamonkey-nss はインストール済みです。

# rpm -ivh --test firefox-3.0.16-4.el4.i386.rpm nspr-4.7.6-1.el4_8.i386.rpm nss-3.11.99.5-3.el4.i386.rpm
Preparing... ########################################### [100%]
file /usr/lib/libnspr4.so from install of nspr-4.7.6-1.el4_8 conflicts with file from package seamonkey-nspr-1.0.9-2.el4
file /usr/lib/libplc4.so from install of nspr-4.7.6-1.el4_8 conflicts with file from package seamonkey-nspr-1.0.9-2.el4
file /usr/lib/libplds4.so from install of nspr-4.7.6-1.el4_8 conflicts with file from package seamonkey-nspr-1.0.9-2.el4
file /usr/lib/libfreebl3.chk from install of nss-3.11.99.5-3.el4 conflicts with file from package seamonkey-nss-1.0.9-2.el4
file /usr/lib/libfreebl3.so from install of nss-3.11.99.5-3.el4 conflicts with file from package seamonkey-nss-1.0.9-2.el4
file /usr/lib/libnss3.so from install of nss-3.11.99.5-3.el4 conflicts with file from package seamonkey-nss-1.0.9-2.el4
file /usr/lib/libnssckbi.so from install of nss-3.11.99.5-3.el4 conflicts with file from package seamonkey-nss-1.0.9-2.el4
file /usr/lib/libsmime3.so from install of nss-3.11.99.5-3.el4 conflicts with file from package seamonkey-nss-1.0.9-2.el4
file /usr/lib/libsoftokn3.chk from install of nss-3.11.99.5-3.el4 conflicts with file from package seamonkey-nss-1.0.9-2.el4
file /usr/lib/libsoftokn3.so from install of nss-3.11.99.5-3.el4 conflicts with file from package seamonkey-nss-1.0.9-2.el4
file /usr/lib/libssl3.so from install of nss-3.11.99.5-3.el4 conflicts with file from package seamonkey-nss-1.0.9-2.el4


firefox rpm インストールについてアドバイスお願いいたします。



記事編集 編集
Re: firefox rpmインストール このメッセージに返信する
日時: 2010/01/18 11:13
名前: stranger
URL: http://ja.528p.com/
seamonkey-nspr-1.0.9-2.el4
seamonkey-nss-1.0.9-2.el4
はCentOSの正式パッケージにないようですが、どのような目的で入れたのですか
上記がなくてもseamonkey-1.0.9はインストールできると思うけど?

必要無ければアンインストールすれば
nspr-4.7.6-1.el4_8
nss-3.11.99.5-3.el4
がインストールできると思う

CentOS4.8のupdateに存在するパッケージ

firefox-3.0.16-4.el4.centos.i386.rpm
nspr-4.7.6-1.el4_8.i386.rpm
nss-3.12.3.99.3-1.el4_8.2.i386.rpm
seamonkey-1.0.9-51.el4.centos.i386.rpm
記事編集 編集
сумки Луи Витон 2013 このメッセージに返信する
日時: 2013/08/02(Fri) 13:36
名前: 915278
URL: http://louisvuitton-ru.tumblr.com/
Leaf Qin once walks street a few an alleys? return to the oneself mansion house doorway inside the city.At this time? is seeing the ice son send two wear water cloud temple temple takes of beautiful looks female the monk come out.Those two female monks see leaf Qin? but also recognize and salute""once saw leaf's senior ……" then nose smile a responsibility to leave. сумки Луи Витон 2013 http://louisvuitton-ru.tumblr.com/
記事編集 編集
件名※必須
名前※必須
URL
任意のパスワード (投稿後のコメント修正・削除時に使用)
画像認証※必須 投稿キー(画像で表示されている数字を入力)
コメント※必須

※質問を投稿後に自己解決された場合は、原因と行った対処を具体的に書き込み下さるよう、よろしくお願いします。

- WEB PATIO -